@import (less) "../bower_components/.dist/bower.css";
@import (less) "spinner.less";
@import (less) "appear.less";
@import (less) "rich-text.less";

@colorBg: white;
@colorFg: #4D4D4D;

*, *:before, *:after {
  box-sizing: border-box;
}

html {
  font-family: Helvetica, Arial, sans-serif;
  font-size: 0.9em;
  color: @colorFg;
  font-weight: 300;
}

body {
  background-color: @colorBg;
}

a {
  color: @colorFg;
  text-decoration: none;
}

a:visited {
  color: @colorFg;
}

.link-indication {
  padding-right: 18px;
  background: url("/img/icon/pop-out.svg") no-repeat 100% 0;
  background-size: 0.9em;
  margin-right: -3px;
}

a.button {
  line-height: 42px;
  padding: 0 20px;
  margin: 12px;
  border-radius: 4px;
  border: 1px solid @colorFg;
  background: none;
  display: inline-block;

  &:active {
    background-color: @colorFg;
    color: @colorBg;
  }
}

.slide {
  min-height: 100vh;
}

#header {
  padding-top: 30vh;
  text-align: center;

  @media screen and (max-height: 600px) {
    padding-top: 20vh;
  }

  @media screen and (max-height: 450px) {
    padding-top: 15vh;
  }

  @media screen and (max-height: 400px) {
    padding-top: 5vh;
  }

  .logo {
    position: relative;
    z-index: 1;
    background: @colorBg;
    display: block;
    margin: 0 auto;
    text-transform: uppercase;
    height: 40vmin;
  }

  .info {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;

    line-height: 1.8em;

    p {
      margin: 0;
    }

    .more {
      margin-top: 3vh;

      @media screen and (max-height: 400px) {
        margin-top: 0;
      }

      .arrow-down {
        display: block;
        margin: 0 auto;
        width: 7vmin;
        max-width: 35px;
      }
    }
  }
}

.main {
  position: relative;
  padding: 30px 30px 50px;
  text-align: center;

  #intro {
    &.appear-done {
      margin-bottom: 50px;
    }

    .contact {
      padding-top: 20px;
    }
  }

  #agenda {
    max-width: 800px;
    margin: 0 auto;

    .eventList {
      margin: 0;
      padding: 0;

      .event {
        list-style: none;

        .date {
          font-weight: bold;
          padding-bottom: 5px;
        }

        &:not(:first-child) {
          margin-top: 30px;
        }
      }
    }
  }

  #footer {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 50px;
    padding: 9px;
    padding-top: 50px;

    .connections {
      margin: 0;
      padding: 0;

      li {
        display: inline-block;
      }

      .connect-link {
        display: block;
        width: 32px;
        height: 32px;
        background: no-repeat center;
        opacity: .2;

        &.facebook {
          background-image: url("/img/icon/connect-facebook.svg");
        }

        &.github {
          background-image: url("/img/icon/connect-github.svg");
        }
      }
    }
  }
}
